Get Songkick events (deprecated)

Request

GET /api/v2.19/artist/{uuid}/songkick/events

Path parameters

Parameter Value Description Additional
uuid string An artist UUID Required

Query string parameters

Parameter Value Description Additional
type string Type of the events (Available values are : all, concert, festival) Optional
periodType string A period type (Available values are : all, past, upcoming) Optional
offset integer Get results starting from position Optional
limit integer Number of results (max. 100) Optional
sortBy string Sort criteria. Available values are : date Optional
sortOrder string Sort order. Available values are : asc, desc Optional

Response

Code Description Resource
200 OK

Songkick event collection response

Event Collection
401 Unauthorized

You are not logged in

403 Forbidden

This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access.

404 Not Found

Artist not found

Explore

An artist UUID

Type of the events (Available values are : all, concert, festival)

A period type (Available values are : all, past, upcoming)

Get results starting from position

Number of results (max. 100)

Sort criteria. Available values are : date

Sort order. Available values are : asc, desc

Try it out